Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::NodeCallback Class Reference

Inheritance diagram for osg::NodeCallback:

[legend]
List of all members.

## Public Member Functions
| NodeCallback ()
| NodeCallback (const NodeCallback &nc, const CopyOp &)
| META_Object (osg, NodeCallback)
virtual void | operator() (Node *node, NodeVisitor *nv)
| Callback method called by the NodeVisitor when visiting a node.
void | traverse (Node *node, NodeVisitor *nv)
| Call any nested callbacks and then traverse the scene graph.
void | setNestedCallback (NodeCallback *nc)
NodeCallback * | getNestedCallback ()
const NodeCallback * | getNestedCallback () const
void | addNestedCallback (NodeCallback *nc)
void | removeNestedCallback (NodeCallback *nc)
## Public Attributes
ref_ptr< NodeCallback > | _nestedCallback
## Protected Member Functions
virtual | ~NodeCallback ()

## Constructor & Destructor Documentation

osg::NodeCallback::NodeCallback | ( |  | ) | `[inline]`

osg::NodeCallback::NodeCallback | ( | const NodeCallback & | nc,
|  | const CopyOp & |
| ) | `[inline]`

virtual osg::NodeCallback::~NodeCallback | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

void osg::NodeCallback::addNestedCallback | ( | NodeCallback * | nc | ) | `[inline]`

const NodeCallback* osg::NodeCallback::getNestedCallback | ( |  | ) | const`[inline]`

NodeCallback* osg::NodeCallback::getNestedCallback | ( |  | ) | `[inline]`

osg::NodeCallback::META_Object | ( | osg | ,
|  | NodeCallback |
| ) |

virtual void osg::NodeCallback::operator() | ( | Node * | node,
|  | NodeVisitor * | nv
| ) | `[inline, virtual]`

| Callback method called by the NodeVisitor when visiting a node. Reimplemented in osg::AnimationPathCallback, osg::ClusterCullingCallback, osg::NodeTrackerCallback, osgGA::GUIEventHandler, and osgUtil::TransformCallback.

void osg::NodeCallback::removeNestedCallback | ( | NodeCallback * | nc | ) | `[inline]`

void osg::NodeCallback::setNestedCallback | ( | NodeCallback * | nc | ) | `[inline]`

void osg::NodeCallback::traverse | ( | Node * | node,
|  | NodeVisitor * | nv
| ) |

| Call any nested callbacks and then traverse the scene graph.

## Member Data Documentation

ref_ptr<NodeCallback> osg::NodeCallback::_nestedCallback

The documentation for this class was generated from the following file:

- NodeCallback